Subject: Re: [PATCH -next 0/2] net: allow setting ecn via routing table

From: Florian Westphal <[email-masked]>
Date: Fri, 31 Oct 2014 00:16:37 +0100

Eric Dumazet <[email-masked]> wrote:
> On Thu, 2014-10-30 at 23:15 +0100, Florian Westphal wrote:
> 
> > Do you think a fallback to non-ecn for retransmitted syns would help?
> 
> Unfortunately some firewalls are buggy and accept a single SYN per flow.
[..]
> Note that ECN problems are not only contained in SYN packets being
> eventually dropped. You might have a success to establish a flow, and
> later get CE marks for all packets and cwnd converges to 1.

I see. So that makes ecn=1 default a pure fantasy.

Thanks for explaining this.